#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int db =0;
    int k = 0;
    int kills = 0;
    int haladas =0;
    int n;
    bool egy = false;
    bool ketto = false;
    bool harom = false;
    string eredmeny = "";
    cin >> n;
    vector<int> pe;
    vector<int> nd;
    for(int i=0;i<n;i++){
        db++;
        int x;
        cin >> x;
        if(x < 0){
            nd.push_back(x);
        }
        else{
            pe.push_back(x);
        }
    }
    sort(nd.begin(), nd.end());
    sort(pe.begin(),pe.end());
    reverse(pe.begin(), pe.end());

    while( (nd.size()) >0){
        if(nd[n]+k == haladas){
            cout << kills << '\n';
            cout << eredmeny << '\n';
            return 0;
        }
        if(!ketto){
            eredmeny += '2';
            ketto = true;
            harom = false;
            kills++;
            nd.pop_back();
        }
        else if(!harom){
            eredmeny += '3';
            harom = true;
            ketto = false;
            haladas++;
        }
        if(nd[n]+k == haladas){
            cout << kills << '\n';
            cout << eredmeny << '\n';
            return 0;
        }
        k++;
    }
    cout << kills << '\n';
    cout << eredmeny << '\n';
    return 0;
}